package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageRequest;
import com.zm.util.dto.PageResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author 陈标
 * @Date 2020/3/12 16:27
 */
public class ListStatusFlowsRequest extends BasePageRequest {
    private static final long serialVersionUID = -2064024881071194564L;

    @ApiModelProperty("业务类型 餐饮1 零售2 企小店3")
    private String bizType;

    @ApiModelProperty("单据类型")
    private Integer docType;

    @ApiModelProperty("之前状态")
    private Integer beforeStatus;

    @ApiModelProperty("操作")
    private String operation;

    @ApiModelProperty("之后状态")
    private Integer afterStatus;

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    public Integer getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(Integer beforeStatus) {
        this.beforeStatus = beforeStatus;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
